using InABox.Clients;
using System;
using System.Collections.Generic;
using System.Reflection;

namespace InABox.Core
{
    public class DataModelTemplate : Entity, IRemotable, IPersistent, ISequenceable, ILicense<CoreLicense>
    {
        [TextBoxEditor(Visible = Core.Visible.Hidden, Editable = Editable.Hidden)]
        public string Model { get; set; }

        [EditorSequence(1)]
        [TextBoxEditor]
        public string Name { get; set; }

        [EditorSequence(2)]
        [TextBoxEditor(Editable = Editable.Enabled)]
        public string To { get; set; }

        [EditorSequence(3)]
        [TextBoxEditor(Editable = Editable.Enabled)]
        public string Subject { get; set; }

        [EditorSequence(4)]
        [TextBoxEditor(Editable = Editable.Enabled)]
        public string AttachmentName { get; set; }

        [EditorSequence(5)]
        [TextBoxEditor(Editable = Editable.Enabled)]
        public string Template { get; set; }

        [EditorSequence(6)]
        [CheckBoxEditor]
        public bool Visible { get; set; }

        [EditorSequence(7)]
        [CheckBoxEditor]
        public bool Default { get; set; }

        [NullEditor]
        public long Sequence { get; set; }
    }

    
}